package com.jsh.erp.datasource.entities;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class ApkVersion {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "下载地址")
    private String url;

    @ApiModelProperty(value = "版本名称")
    private String name;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "是否删除")
    private boolean deleteFlag;

}
